"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.downloadEntitlements = void 0;
const tslib_1 = require("tslib");
const store_1 = require("../../store");
const utils_1 = require("../../utils");
const downloadEntitlements = (binCmdKey = store_1.configStore.values.binCmdKey, authToken = store_1.configStore.values.jfrog.token, authTokenType = store_1.configStore.values.jfrog.tokenType) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const response = yield (0, utils_1.downloadJson)(`https://genesisglobal.jfrog.io/artifactory/seed-area/entitlements.${binCmdKey}.json`, authToken, authTokenType);
    if (!response.ok) {
        throw (0, utils_1.responseNotOk)(response, 'Unable to download user entitlements');
    }
    const data = yield response.json();
    return new Set(data.entitlements);
});
exports.downloadEntitlements = downloadEntitlements;
